import type { RootStoreType } from 'src/types/rootStore';
declare class RootStore implements RootStoreType {
    middlewares: {};
    uiStateStore: null;
    mapModelStore: null;
    constructor(params: any);
    update(data?: {}): void;
    checkAllStoresAreHydrated(): boolean;
}
export default RootStore;
